Package logilab :: Package common :: Module modutils :: Class LazyObject

[frames] | no frames]

# Class LazyObject

source code

    object --+
             |
            LazyObject

Instance Methods

__init__(self, module, obj) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__getattribute__(self, attr) x.__getattribute__('name') <==> x.name | source code

__call__(self, *args, **kwargs) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, module, obj)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __getattribute__(self, attr)

source code

x.__getattribute__('name') <==> x.name

Overrides: object.__getattribute__
  (inherited documentation)